Bug 987619 - Review Request: python-parse - Opposite of format()
Review Request: python-parse - Opposite of format()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Deutsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: python-behave
  Show dependency treegraph
 
Reported: 2013-07-23 14:56 EDT by Matěj Cepl
Modified: 2018-04-11 09:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-parse-1.6.2-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 14:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fabian.deutsch: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2013-07-23 14:56:45 EDT
Spec URL: http://mcepl.fedorapeople.org/python-parse.spec
SRPM URL: http://mcepl.fedorapeople.org/python-parse-1.6.2-1.el7.src.rpm
Description:
Parse strings using a specification based on the Python format() syntax.

``parse()`` is the opposite of ``format()``

Fedora Account System Username: mcepl
Comment 1 Christopher Meng 2013-07-23 20:14:54 EDT
changelog is not good :(

And why not BR python-setuptools?

Besides a suggestion:

Don't leave too many empty lines.
Comment 3 Matěj Cepl 2013-07-24 03:49:34 EDT
Scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=5650117
Comment 4 Matěj Cepl 2013-07-24 05:16:02 EDT
Auch, make it

http://mcepl.fedorapeople.org/tmp/python-parse-1.6.2-3.el7.src.rpm
Comment 5 Fabian Deutsch 2013-08-26 05:31:45 EDT
A new build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5853544

and a

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[y]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/fdeutsch/tmp/python-parse/python-
     parse-1.6.2-3.el7.src/review-python-parse/licensecheck.txt
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Cannot unpack rpms (using --prebuilt?)
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Re-using old build in mock
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: 
0 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------


Provides
--------


Source checksums
----------------
http://pypi.python.org/packages/source/p/parse/parse-1.6.2.tar.gz :
  CHECKSUM(SHA256) this package     : dbfd73f092719a534201a5f1707d6404491c142e5b4bb42154dc08e89b2bbf7c
  CHECKSUM(SHA256) upstream package : dbfd73f092719a534201a5f1707d6404491c142e5b4bb42154dc08e89b2bbf7c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review --no-build -n python-parse -v -c
Comment 6 Matěj Cepl 2013-08-26 05:50:24 EDT
(In reply to Fabian Deutsch from comment #5)
> A new build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5853544
> 
> and a
> 
> Package Review
> ==============

Could you explain me please in a plain English what's wrong with my package?
Comment 7 Christopher Meng 2013-08-26 05:53:09 EDT
Hmm...I think I should leave here.
Comment 8 Fabian Deutsch 2013-08-27 05:49:59 EDT
(In reply to Matěj Cepl from comment #6)
> (In reply to Fabian Deutsch from comment #5)
> > A new build:
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=5853544
> > 
> > and a
> > 
> > Package Review
> > ==============
> 
> Could you explain me please in a plain English what's wrong with my package?

IMO nothing. I just wanted to speed up the review process.

(In reply to Christopher Meng from comment #7)
> Hmm...I think I should leave here.

Sorry Christopher, I didn't want to step on your toes.
I just wanted to do an informal review to support the review of the package. This is also suggeste di nthe packaging guidelines.

It wasn't my intention that you drop the review - as said, I actually just wanted to support it.
Comment 9 Christopher Meng 2013-08-27 05:55:41 EDT
Ok.

Please explain to Matěj about your comment.
Comment 10 Fabian Deutsch 2013-08-27 06:10:15 EDT
(In reply to Matěj Cepl from comment #6)
> (In reply to Fabian Deutsch from comment #5)
> > A new build:
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=5853544
> > 
> > and a
> > 
> > Package Review
> > ==============
> 
> Could you explain me please in a plain English what's wrong with my package?

As said in comment 8. I think your package is good.

APPROVED
Comment 11 Matěj Cepl 2013-08-27 06:28:17 EDT
New Package SCM Request
=======================
Package Name: python-parse
Short Description: Opposite of format()
Owners: mcepl
Branches: f19 f20 el6
InitialCC:
Comment 12 Gwyn Ciesla 2013-08-27 08:16:13 EDT
Git done (by process-git-requests).
Comment 13 Matěj Cepl 2013-08-27 14:54:38 EDT
Build for Rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=5862174
Comment 14 Fedora Update System 2013-08-27 17:30:06 EDT
python-parse-1.6.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-parse-1.6.2-4.fc19
Comment 15 Fedora Update System 2013-08-27 17:31:11 EDT
python-parse-1.6.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-parse-1.6.2-4.el6
Comment 16 Fedora Update System 2013-09-06 01:18:13 EDT
python-parse-1.6.2-4.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-09-20 15:59:02 EDT
python-parse-1.6.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.